TrustStoreProps Struct
Properties used for the Trust Store.
Example
ts
import * as acm from 'aws-cdk-lib/aws-certificatemanager';
declare const certificate: acm.Certificate;
declare const lb: elbv2.ApplicationLoadBalancer;
declare const bucket: s3.Bucket;
const trustStore = new elbv2.TrustStore(this, 'Store', {
bucket,
key: 'rootCA_cert.pem',
});
lb.addListener('Listener', {
port: 443,
protocol: elbv2.ApplicationProtocol.HTTPS,
certificates: [certificate],
// mTLS settings
mutualAuthentication: {
advertiseTrustStoreCaNames: true,
ignoreClientCertificateExpiry: false,
mutualAuthenticationMode: elbv2.MutualAuthenticationMode.VERIFY,
trustStore,
},
defaultAction: elbv2.ListenerAction.fixedResponse(200,
{ contentType: 'text/plain', messageBody: 'Success mTLS' }),
});
Properties
The bucket that the trust store is hosted in.
The key in S3 to look at for the trust store.
trustStoreNameoptionalstringtrust_store_nameoptionalstrtrustStoreNameoptionalStringTrustStoreNameoptionalstringTrustStoreNameoptional*string#The name of the trust store.
Default: Auto generated
versionoptionalstringversionoptionalstrversionoptionalStringVersionoptionalstringVersionoptional*string#The version of the S3 object that contains your truststore.
Default: latest version
To specify a version, you must have versioning enabled for the S3 bucket.